DELETE
/product/202309/global_products
Delete global products that you no longer need.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
global_product_ids
required
The global product IDs to delete. Max number of IDs: 20
Array<string>
Example
{ "global_product_ids": [ "1729715829872102020", "1729715829872036484" ]}Responses
Section titled “Responses”Success
Media typeapplication/json
object
code
Status code; 0 means success.
integer format: int64
message
Success or failure message.
string
request_id
Request log ID.
string
data
object
errors
The errors for individual global products that could not be deleted. Check this list even when the top-level code is 0.
Array<object>
object
message
The error message.
string
code
The error code.
integer format: int64
detail
The details of the error.
object
global_product_id
The ID of the global product that could not be deleted.
string
Example
{ "code": 0, "data": { "errors": [ { "message": "Seller has no permission.", "code": 12019114, "detail": { "global_product_id": "1729715829872102020" } } ] }, "message": "Success", "request_id": "202203070749000101890810281E8C70B7"}